## iridium-browser 58.0

=== debian/changelog ===
iridium-browser (58.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX Linux 15/16.
  * debian/control: don't build-depend on g++-5.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Aug 2017 13:04:55 -0700

iridium-browser (58.0-1iridium0) trusty; urgency=medium

  * Iridium: Fix debian packaging to not modify stuff on clean
  * Iridium: Rename everything to Iridium
  * Iridium: Use iridium logo for starter icon
  * Iridium: Remove apport support
  * Iridium: disable welcome page
  * Iridium: build as single package with ffmpeg and en_US
  * Iridium: use static build
  * Iridium: always build with g++-5
  * Iridium: fix gn ldflags
  * Iridium: fix sandbox linux gn
  * Iridium: fix compile of vaapi on Linux
  * Iridium: fix libffmpeg.so which does not exist
  * Iridium: update Linux desktop icon to use outline
  * Iridium: add gbp.conf
  * Imported Upstream version 58.0
  * Iridium: Update patches to Iridium 58.0

 -- Iridium Linux Team <iridium-linux@iridiumbrowser.de>  Mon, 24 Apr 2017 21:52:21 +0200

chromium-browser (58.0.3029.14-0ubuntu1~ppa1~17.04.1) zesty; urgency=low

  * New upstream version 58.0.3029.14
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Tue, 14 Mar 2017 02:47:57 -0400

chromium-browser (58.0.3026.3-0ubuntu1~ppa1~17.04.1) zesty; urgency=low

  * New upstream version 58.0.3026.3
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Thu, 02 Mar 2017 19:35:23 -0500

chromium-browser (58.0.3004.3-0ubuntu1~ppa1~17.04.1) zesty; urgency=low

  * New upstream version 58.0.3004.3
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 13 Feb 2017 17:27:10 -0500

chromium-browser (58.0.3000.4-0ubuntu1~ppa2~17.04.1) zesty; urgency=low

  * Don't use vulcanize.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 08 Feb 2017 19:39:50 -0500

chromium-browser (58.0.3000.4-0ubuntu1~ppa1~17.04.1) zesty; urgency=low

  * New upstream version 58.0.3000.4
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 05 Feb 2017 00:34:22 -0500

chromium-browser (57.0.2979.0-0ubuntu1~ppa1~17.04.1) zesty; urgency=low

  * Switch back to standard dependencies.
  * New upstream version 57.0.2979.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 14 Jan 2017 11:14:40 -0500

chromium-browser (57.0.2970.0-0ubuntu1~ppa1~17.04.1) zesty; urgency=low

  * The ffmpeg libraries don't technically depend on Chromium, and are
    used by other browsers. Therefore, don't require installing Chromium
    as well.
  * Fix tar command for the main package, and exclude a couple of known
    unneeded files.
  * New upstream version 57.0.2970.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 06 Jan 2017 19:09:01 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa14~17.04.1) zesty; urgency=low

  * Fix build dependency name.
  * Don't package Packages folder or WidevineCdm folder.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 31 Dec 2016 21:09:40 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa13~17.04.1) zesty; urgency=low

  * Try to fix up debian/rules for the new debhelper compatibility
    level.
  * Add patch that hopefully fixed hardware video decoding on Nvidia
    open source driver. (Fixes: #7)

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 30 Dec 2016 11:20:01 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa12~17.04.1) zesty; urgency=low

  * Fix conditional for requiring clang to match Trusty.
  * Disable ozone. It's only supported on mash shells right now.
  * Update specify-max-reoslution patch to rely on libva returning a
    resolution

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 26 Dec 2016 14:00:09 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa11~17.04.1) zesty; urgency=low

  * Update VAAPI patch for DRM use.
  * Require GCC 5 or Clang 3.8.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 25 Dec 2016 23:41:00 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa10~17.04.1) zesty; urgency=low

  * Fix order of arguments in dh call.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 23 Dec 2016 14:13:50 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa9~17.04.1) zesty; urgency=low

  * Update path to va_drm.h in VAAPI patch.
  * Update compat version to 9.
  * Exclude a binary that is probably only used for development.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 23 Dec 2016 13:58:22 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa8~17.04.1) zesty; urgency=low

  * Disable desktop integration settings patch for Aura.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 23 Dec 2016 11:08:16 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa7~17.04.1) zesty; urgency=low

  * Try again.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 23 Dec 2016 01:25:07 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa6~17.04.1) zesty; urgency=low

  * Have a few GN defines be applied only when compiling the browser
    (and not GN itself or ffmpeg)
  * Try building with ozone.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 23 Dec 2016 00:22:13 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa5~17.04.1) zesty; urgency=low

  * Update VAAPI patch. (Fixes: #6)

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 18 Dec 2016 19:14:43 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa4~17.04.1) zesty; urgency=low

  * Fix GN build. (Fixes: #6)

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 18 Dec 2016 15:22:45 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa3~17.04.1) zesty; urgency=low

  * Fix typo in patch. (Fixes: #6)

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 18 Dec 2016 13:59:16 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa2~17.04.1) zesty; urgency=low

  * Fix gn build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 18 Dec 2016 13:31:34 -0500

chromium-browser (57.0.2950.4-0ubuntu1~ppa1~17.04.1) zesty; urgency=low

  * New upstream version 57.0.2950.4
  * Updated patches.


