=== debian/control ===
Source: iridium-browser
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Iridium Linux Team <iridium-linux@iridiumbrowser.de>
#XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: https://iridiumbrowser.de/
Build-Depends: debhelper (>= 9),
		dh-buildinfo,
		pkg-config,
		ninja-build (>= 1.3.4),
#		g++-5,
		lsb-release,
		python,
		bison,
		gperf,
		libsrtp0-dev,
		libprotobuf-dev,
		protobuf-compiler,
		libspeechd-dev,
		xdg-utils,
		libpulse-dev,
		libcups2-dev | libcupsys2-dev,
		libasound2-dev,
		libnss3-dev,
		libpci-dev,
		libgles2-mesa-dev [armhf],
		mesa-common-dev,
		libxtst-dev,
		libxss-dev,
		libgtk2.0-dev,
		libgtk-3-dev,
		libglib2.0-dev,
		libudev-dev,
		libgnome-keyring-dev,
		libgconf2-dev,
		libcap-dev,
		libdrm-dev,
		libharfbuzz-dev | libpango1.0-dev (<< 1.31.0),
		libicu-dev | libpango1.0-dev (<< 1.31.0),
		libpango1.0-dev,
		libexif-dev,
		libssl-dev,
		libkrb5-dev,
		libffi-dev,
		libxkbcommon-dev,
		libegl1-mesa-dev,
		chrpath
Standards-Version: 3.9.5

Package: iridium-browser
Architecture: armhf arm64 i386 amd64
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends},
	xdg-utils
Replaces: iridium-browser-ffmpeg-extra (<< 54.0-0ubuntu1~iridium1~),
    iridium-codecs-ffmpeg (<< 54.0-0ubuntu1~iridium1~),
    iridium-browser-l10n (<< 54.0-0ubuntu1~iridium1~)
Breaks: iridium-browser-ffmpeg-extra (<< 54.0-0ubuntu1~iridium1~),
    iridium-codecs-ffmpeg (<< 54.0-0ubuntu1~iridium1~),
    iridium-browser-l10n (<< 54.0-0ubuntu1~iridium1~)
Recommends: libva1, libva-x11-1
Provides: www-browser
Description: Iridium browser
 Iridium is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains the Iridium browser

Package: iridium-chromedriver
Architecture: armhf arm64 i386 amd64
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}, iridium-browser (= ${binary:Version})
Description: ChromeDriver
 Iridium is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains ChromeDriver, a standalone server which implements
 WebDriver's wire protocol.
