=== debian/rules ===
#!/usr/bin/make -f

DEBIAN_NAME		:= $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')
DEBIAN_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
DEBIAN_UPSTREAM_VERSION	:= $(shell echo $(DEBIAN_VERSION) | sed 's/^\(.*\)-[^-]*$$/\1/')
DEBIAN_REVISION		:= $(shell echo $(DEBIAN_VERSION) | sed 's/^.*r\([^-]*\)-.*/\1/')
DEBIAN_DIST		:= $(shell lsb_release -ds | tr -d '()' | sed -e 's/\#/ /g')
DEBIAN_DIST_NAME	:= $(shell lsb_release -si | sed -e 's/\#/ /g')
DEBIAN_DIST_VERSION	:= $(shell lsb_release -sr | sed -e 's/\#/ /g')

DEBIAN_CODECS_NAME      := $(subst browser,codecs-ffmpeg,$(DEBIAN_NAME))
DEBIAN_DRIVER_NAME      := $(subst browser,chromedriver,$(DEBIAN_NAME))

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

# needed for easy job control, e.g, kill %1
SHELL := /bin/bash

SRC_DIR        := $(CURDIR)
LIB_DIR        := usr/lib/$(DEBIAN_NAME)
FFMPEG_DIR     := third_party/ffmpeg
FFMPEG_SRC_DIR := $(SRC_DIR)/$(FFMPEG_DIR)
NINJA          := ninja

# Whitelist LP provided new langs only in release builds, PPAs ship them all
WANT_ONLY_WHITELISTED_NEW_LANGS ?= 0

ifneq (,$(findstring Ubuntu,$(DEBIAN_DIST)))
DISTRIBUTION=UBUNTU
UBUNTU_DIST=$(DEBIAN_DIST)
endif

ifneq (,$(findstring Debian,$(DEBIAN_DIST)))
DISTRIBUTION=DEBIAN
endif

WANT_DEBUG       := 0
WANT_OZONE       := 0

# System libs off. Rationalle: We usually want to use as many system libraries
# as possible, as a security measure. If there's a security problem in one, the
# security team can replace it in the distro and everything magically starts
# working. Chromium is an exception. It moves quickly emough that testing that
# system libraries actually work is too hard, and upstream does a pretty good
# job of fixing known security problems soon.  As long as we keep the package
# fresh, no system libs is the smarter move.
WANT_SYSTEM_LIBS ?= 0
WANT_SHARED_LIBS ?= 0
VERBOSE          := 1
PROCESSORS       ?= $(shell grep -ic ^processor /proc/cpuinfo)
ifeq (0,$(PROCESSORS))
PROCESSORS := 1
endif

# Don't fail on compilation warnings
GN_DEFINES += treat_warnings_as_errors=false

# We are never using a sysroot-based toolchain; override the wrong
# autodetection for arm.
GN_DEFINES += use_sysroot=false
FFMPEG_MT_GN_DEFINES += use_sysroot=false

# NaCl isn't ready yet
GN_DEFINES += enable_nacl=false
FFMPEG_MT_GN_DEFINES += enable_nacl=false

ifneq (,$(filter arm%,$(DEB_HOST_ARCH_CPU)))
# Disable NaCl for arm until the toolchain is built
GN_DEFINES += enable_nacl=false
FFMPEG_MT_GN_DEFINES += enable_nacl=false
else
# Don't build anything related to newlib or glibc, as it's not needed for the
# core NaCl
GN_DEFINES += use_gcc_glibc=false use_clang_newlib=false
endif

# use gold, do not use bundled binutils
GN_DEFINES += use_gold=true linux_use_bundled_binutils=false
FFMPEG_MT_GN_DEFINES += use_gold=true linux_use_bundled_binutils=false

# get resources for high dpi and touch
# GN_DEFINES += enable_hidpi=true

# add support and stubbed implementation of widevine (needed for EME)
GN_DEFINES += enable_widevine=true

# disable field trial tests
GN_DEFINES += fieldtrial_testing_like_official_build=true

# don't vulcanize; we don't have the node.js modules needed readily available
GN_DEFINES += use_vulcanize=false

# don't use gtk3, mir is causing a conflict in the protobuf version
GN_DEFINES += use_gtk3=false

# use gtk3
# GN_DEFINES += use_gtk3=true
# FFMPEG_MT_GN_DEFINES += use_gtk3=true

# Intentional configuration, not bug work-arounds.
ifeq (arm,$(DEB_HOST_ARCH_CPU))

GN_DEFINES += \
	arm_use_neon=false \
	target_cpu="arm" \
	use_cups=true \
	$(NULL)
FFMPEG_MT_GN_DEFINES += \
	arm_use_neon=false \
	target_cpu="arm" \
	use_cups=true \
	$(NULL)

 ifeq (armel,$(DEB_HOST_ARCH))
GN_DEFINES += \
	arm_float_abi="soft" \
	arm_use_thumb=false \
	arm_version=6 \
	$(NULL)
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
# ARN Neon optional flag is off because it causes build errors, AND testing
# /proc/cpuinfo contents can't work with a sandbox anyway.
# In addition, some componenets appear to assume that Neon always exists.
GN_DEFINES += \
	arm_optionally_use_neon=false \
	arm_fpu="vfpv3-d16" \
	arm_float_abi="hard" \
	arm_use_thumb=true \
	arm_version=7 \
	$(NULL)
FFMPEG_MT_GN_DEFINES += \
	arm_optionally_use_neon=false \
	arm_fpu="vfpv3-d16" \
	arm_float_abi="hard" \
	arm_use_thumb=true \
	arm_version=7 \
	$(NULL)
 endif
endif
ifeq (arm64,$(DEB_HOST_ARCH))
GN_DEFINES += \
	target_cpu="arm64" \
	use_cups=true \
	use_allocator="none" \
	$(NULL)
FFMPEG_MT_GN_DEFINES += \
	target_cpu="arm64" \
	use_cups=true \
	use_allocator="none" \
	$(NULL)
endif
ifeq (amd64,$(DEB_HOST_ARCH))
GN_DEFINES += target_cpu="x64"
FFMPEG_MT_GN_DEFINES += target_cpu="x64"
endif
ifeq (i386,$(DEB_HOST_ARCH))
GN_DEFINES += target_cpu="x86"
FFMPEG_MT_GN_DEFINES += target_cpu="x86"
# SEGV on component builds, 2013-05
GN_DEFINES += use_allocator="none"
endif
ifeq (arm64,$(DEB_HOST_ARCH))
GN_DEFINES += use_allocator="none"
endif

# Do this for every architecture. More than 4GB of memory is too much to expect
# of builders.
COMPONENT_SHARED_LIB_BUILD := 0

ifeq (1,$(COMPONENT_SHARED_LIB_BUILD))
BROWSER_GN_DEFINES += is_component_build=true
FFMPEG_MT_GN_DEFINES += is_component_build=true
endif

# Webkit library is enormous. Exclude for now.
BROWSER_GN_DEFINES += remove_webcore_debug_symbols=true

ifeq (1,$(WANT_DEBUG))
BUILD_TYPE := Debug
else
BUILD_TYPE := Release
# Add symbols
GN_DEFINES += is_debug=false symbol_level=1
FFMPEG_MT_GN_DEFINES += is_debug=false symbol_level=2
endif

BUILD_ARGS += -C $(SRC_DIR)/out/$(BUILD_TYPE)

# Verbose?
ifeq (1,$(VERBOSE))
BUILD_ARGS += -v
endif

ifeq (1,$(WANT_OZONE))
BROWSER_GN_DEFINES += use_ozone=true ozone_auto_platforms=false ozone_platform_x11=true ozone_platform_wayland=true use_xkbcommon=true
endif

subst_files = \
	debian/$(DEBIAN_NAME).sh \
	$(NULL)

# FFmpeg-mt
# Ignore the version built as part of chromium. Build it separately twice, once with
# the Chrome branding to gain the extra codecs, and once without branding.
# The ffmpeg_branding variable controls which codecs are built inside the sumo lib.
# By default, ffmpeg_branding equals to "Chromium" and only builds the ogg/vorbis/theora codecs.
# When set to "Chrome", it also builds aac/ac3/mpeg4audio/h264/mov/mp3
BROWSER_GN_DEFINES += \
	proprietary_codecs=true \
	ffmpeg_branding="Chrome" \
	$(NULL)
FFMPEG_MT_STD_GN_DEFINES    = ffmpeg_branding="Chromium"
FFMPEG_MT_EXTRA_GN_DEFINES  = ffmpeg_branding="Chrome"

# enable compile-time dependency on gnome-keyring
# TODO: do this?

# controlling the use of GConf (the classic GNOME configuration
# and GIO, which contains GSettings (the new GNOME config system)
GN_DEFINES += use_gconf=true use_gio=true

# Build chrome and chrome_sandbox, and chromedriver
BUILD_TARGETS += \
	pdf \
	chrome \
	chrome_sandbox \
	chromedriver \
	widevinecdmadapter \
	clearkeycdm \
	$(NULL)

# Needed to preserve the suid and make the sandbox happy
DEB_FIXPERMS_EXCLUDE := chrome-sandbox

ifneq (,$(GOOGLEAPI_APIKEY_$(DISTRIBUTION)))
GYP_DEFINES += \
	-Dgoogle_api_key='$(GOOGLEAPI_APIKEY_$(DISTRIBUTION))' \
	-Dgoogle_default_client_id='$(GOOGLEAPI_CLIENTID_$(DISTRIBUTION))' \
	-Dgoogle_default_client_secret='$(GOOGLEAPI_CLIENTSECRET_$(DISTRIBUTION))'
else
$(warning Google API info is not set in build variables GOOGLEAPI_APIKEY_$(DISTRIBUTION) GOOGLEAPI_CLIENTID_$(DISTRIBUTION) GOOGLEAPI_CLIENTSECRET_$(DISTRIBUTION))
endif

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
$(note Cross compiling for $(DEB_HOST_ARCH), from this $(DEB_BUILD_ARCH))
CROSS_BUILD = PKG_CONFIG_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/$(DEB_HOST_MULTIARCH)/lib/pkgconfig CXX=$(DEB_HOST_GNU_TYPE)-$(CXX)
else
