## iridium-browser 2018.11.71

=== debian/changelog ===
iridium-browser (2018.11.71-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Dec 2018 13:14:19 -0800

iridium-browser (2018.11.71-1iridium0) xenial; urgency=medium

  * Imported Upstream version 2018.11.71
  * Refresh patches to Iridium 2018.11.71

 -- Simon Eisenmann <simon@longsleep.org>  Sun, 18 Nov 2018 13:31:41 +0100

chromium-browser (71.0.3578.10-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Fix build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 22 Oct 2018 11:02:48 -0400

chromium-browser (71.0.3578.10-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * Fix patch I missed.
  * New upstream version 71.0.3578.10
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 20 Oct 2018 12:08:25 -0400

chromium-browser (71.0.3573.0-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Fix build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 15 Oct 2018 01:09:25 -0400

chromium-browser (71.0.3573.0-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 71.0.3573.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Thu, 11 Oct 2018 19:05:37 -0400

chromium-browser (71.0.3569.0-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Fix build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 08 Oct 2018 12:04:50 -0400

chromium-browser (71.0.3569.0-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 71.0.3569.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 08 Oct 2018 00:37:16 -0400

chromium-browser (71.0.3559.6-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 71.0.3559.6
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 30 Sep 2018 16:14:15 -0400

chromium-browser (71.0.3551.3-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 71.0.3551.3
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 17 Sep 2018 21:10:11 -0400

chromium-browser (70.0.3534.4-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Fix pdfium issue.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Thu, 30 Aug 2018 19:54:27 -0400

chromium-browser (70.0.3534.4-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 70.0.3534.4
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 29 Aug 2018 19:48:29 -0400

chromium-browser (70.0.3521.2-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * Continue working on Xenial build patch.
  * New upstream version 70.0.3521.2
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Thu, 16 Aug 2018 01:58:25 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa8~18.10.1) cosmic; urgency=low

  * Add missing semicolon.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 08 Aug 2018 11:15:46 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa7~18.10.1) cosmic; urgency=low

  * Fix build for Xenial.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 08 Aug 2018 01:48:44 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa6~18.10.1) cosmic; urgency=low

  * Thin LTO is only officially supported for chromeos.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Tue, 07 Aug 2018 18:41:33 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa5~18.10.1) cosmic; urgency=low

  * Fix gn build by using clang.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 06 Aug 2018 00:49:00 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa4~18.10.1) cosmic; urgency=low

  * Fix gn build for Xenial.
  * Enable ThinLTO.
  * Start building for cosmic.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 04 Aug 2018 14:13:40 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa3~18.04.1) bionic; urgency=low

  * Fix gn build command, again.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 03 Aug 2018 22:28:30 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa2~18.04.1) bionic; urgency=low

  * Fix gn build command.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 03 Aug 2018 21:40:07 -0400

chromium-browser (69.0.3497.23-0ubuntu1~ppa1~18.04.1) bionic; urgency=low

  * New upstream version 69.0.3497.23
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 03 Aug 2018 00:48:01 -0400

chromium-browser (69.0.3486.0-0ubuntu1~ppa2~18.04.1) bionic; urgency=low

  * Fix build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 15 Jul 2018 21:59:20 -0400

chromium-browser (69.0.3486.0-0ubuntu1~ppa1~18.04.1) bionic; urgency=low

  * New upstream version 69.0.3486.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 13 Jul 2018 19:28:28 -0400

chromium-browser (69.0.3472.3-0ubuntu1~ppa3~18.04.1) bionic; urgency=low

  * Fix arm64 build (add patch to list of patches).
  * Fix typo in build fix for older libstdc++.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 02 Jul 2018 18:19:56 -0400

chromium-browser (69.0.3472.3-0ubuntu1~ppa2~18.04.1) bionic; urgency=low

  * Hopefully fix arm64 build.
  * Fix build for older libstdc++.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 02 Jul 2018 14:00:01 -0400

chromium-browser (69.0.3472.3-0ubuntu1~ppa1~18.04.1) bionic; urgency=low

  * New upstream version 69.0.3472.3
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 30 Jun 2018 21:13:10 -0400

chromium-browser (69.0.3464.0-0ubuntu1~ppa2~18.04.1) bionic; urgency=low

  * Remove unavailable C flag.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 22 Jun 2018 23:00:10 -0400

chromium-browser (69.0.3464.0-0ubuntu1~ppa1~18.04.1) bionic; urgency=low

  * New upstream version 69.0.3464.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 20 Jun 2018 18:45:38 -0400

chromium-browser (69.0.3452.0-0ubuntu1~ppa1~18.04.1) bionic; urgency=low

  * New upstream version 69.0.3452.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 11 Jun 2018 02:22:45 -0400

chromium-browser (68.0.3440.7-0ubuntu1~ppa4~18.04.1) bionic; urgency=low


