=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: web
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Iridium Linux Team <iridium-linux@iridiumbrowser.de>
-#XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+# XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Homepage: https://iridiumbrowser.de/
 Build-Depends: debhelper (>= 9),
 		dh-buildinfo,
 		pkg-config,
-		ninja-build (>= 1.3.4),
-#		g++-5,
+		ninja-build (>= 1.7.2),
+		clang (>= 1:4.0) | clang-4.0,
 		lsb-release,
 		python,
 		bison,
@@ -40,12 +39,14 @@
 		libharfbuzz-dev | libpango1.0-dev (<< 1.31.0),
 		libicu-dev | libpango1.0-dev (<< 1.31.0),
 		libpango1.0-dev,
+		libva-dev,
 		libexif-dev,
 		libssl-dev,
 		libkrb5-dev,
 		libffi-dev,
 		libxkbcommon-dev,
 		libegl1-mesa-dev,
+		libva-dev,
 		chrpath
 Standards-Version: 3.9.5
 
@@ -60,7 +61,7 @@
 Breaks: iridium-browser-ffmpeg-extra (<< 54.0-0ubuntu1~iridium1~),
     iridium-codecs-ffmpeg (<< 54.0-0ubuntu1~iridium1~),
     iridium-browser-l10n (<< 54.0-0ubuntu1~iridium1~)
-Recommends: libva1, libva-x11-1
+Recommends: libva2 | libva1, libva-x11-2 | libva-x11-1, libva-wayland2 | libva-wayland1
 Provides: www-browser
 Description: Iridium browser
  Iridium is an open-source browser project that aims to build a safer, faster,
