=== debian/rules ===
#!/usr/bin/make -f

DEBIAN_NAME		:= $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')
DEBIAN_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
DEBIAN_UPSTREAM_VERSION	:= $(shell echo $(DEBIAN_VERSION) | sed 's/^\(.*\)-[^-]*$$/\1/')
DEBIAN_REVISION		:= $(shell echo $(DEBIAN_VERSION) | sed 's/^.*r\([^-]*\)-.*/\1/')
DEBIAN_DIST		:= $(shell lsb_release -ds | tr -d '()' | sed -e 's/\#/ /g')
DEBIAN_DIST_NAME	:= $(shell lsb_release -si | sed -e 's/\#/ /g')
DEBIAN_DIST_VERSION	:= $(shell lsb_release -sr | sed -e 's/\#/ /g')

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

# needed for easy job control, e.g, kill %1
SHELL := /bin/bash

SRC_DIR        := $(CURDIR)
LIB_DIR        := usr/lib/$(DEBIAN_NAME)
FFMPEG_DIR     := third_party/ffmpeg
FFMPEG_SRC_DIR := $(SRC_DIR)/$(FFMPEG_DIR)
NINJA          := ninja
BUILD_TYPE     := final

# Whitelist LP provided new langs only in release builds, PPAs ship them all
WANT_ONLY_WHITELISTED_NEW_LANGS ?= 0

ifneq (,$(findstring Ubuntu,$(DEBIAN_DIST)))
DISTRIBUTION=UBUNTU
UBUNTU_DIST=$(DEBIAN_DIST)
endif

ifneq (,$(findstring Debian,$(DEBIAN_DIST)))
DISTRIBUTION=DEBIAN
endif

WANT_OZONE       := 0

common_defines :=
browser_defines :=
ffmpeg_std_defines :=
ffmpeg_extra_defines :=

# enable verbose build messages
export DH_VERBOSE=1

common_defines += \
				enable_google_now=false \
				enable_hangout_services_extension=true \
				enable_mdns=true \
				enable_nacl=false \
				enable_vr=false \
				enable_wayland_server=false \
				enable_webrtc=true \
				enable_widevine=true \
				fieldtrial_testing_like_official_build=true \
				is_component_ffmpeg=true \
				is_debug=false \
				is_desktop_linux=true \
				linux_use_bundled_binutils=false \
				remove_webcore_debug_symbols=true \
				symbol_level=0 \
				treat_warnings_as_errors=false \
				use_allocator="none" \
				use_alsa=true \
				use_aura=true \
				use_bundled_fontconfig=false \
				use_cups=true \
				use_custom_libcxx=false \
				use_dbus=true \
				use_gio=true \
				use_glib=true \
				use_gold=true \
				use_gtk3=true \
				use_libpci=true \
				use_pulseaudio=true \
				use_sysroot=false \
				use_system_harfbuzz=false \
				use_system_libjpeg=false \
				use_vaapi=true \
				rtc_enable_protobuf=false \
				is_clang=true \
				clang_base_path="/usr" \
				clang_use_chrome_plugins=false \
				use_lld=false \
				is_cfi=false \
				use_thin_lto=false \
				fatal_linker_warnings=false \
				target_os="linux" \
				current_os="linux" \
				optimize_webui=false

# FFmpeg-mt
# Ignore the version built as part of chromium. Build it separately twice, once with
# the Chrome branding to gain the extra codecs, and once without branding.
# The ffmpeg_branding variable controls which codecs are built inside the sumo lib.
# By default, ffmpeg_branding equals to "Chromium" and only builds the ogg/vorbis/theora codecs.
# When set to "Chrome", it also builds aac/ac3/mpeg4audio/h264/mov/mp3
ffmpeg_std_defines   += proprietary_codecs=false
ffmpeg_extra_defines += proprietary_codecs=true ffmpeg_branding="Chrome"

## Debian got this name wrong. DEB_HOST is not the hosting machine of
## compilation, but the destination of the resulting compiled programs.
## DEB_HOST = target. DEB_BUILD = hosting machine. Someone forgot what
## "to host" means, and thought of "host" as "computery thing".

ifeq (armel,$(DEB_HOST_ARCH))
common_defines += target_cpu="arm"
common_defines += arm_use_neon=false
common_defines += v8_use_arm_eabi_hardfloat=false
common_defines += arm_float_abi="soft" arm_use_thumb=false
else ifeq (armhf,$(DEB_HOST_ARCH))
common_defines += target_cpu="arm"
common_defines += arm_use_neon=false
common_defines += arm_float_abi="hard" arm_use_thumb=true
else ifeq (arm64,$(DEB_HOST_ARCH))
common_defines += target_cpu="arm64"
else ifeq (i386,$(DEB_HOST_ARCH))
common_defines += target_cpu="x86"
else ifeq (amd64,$(DEB_HOST_ARCH))
common_defines += target_cpu="x64"
else ifeq (mipsel,$(DEB_HOST_ARCH))
common_defines += target_cpu="mipsel"
else ifeq ($(DEB_HOST_ARCH),)
else
$(warning unanticipated arch $(DEB_HOST_ARCH))
common_defines += target_arch="$(DEB_HOST_ARCH)"
endif

ifeq (1,$(WANT_OZONE))
common_defines += use_ozone=true use_xkbcommon=true
endif

subst_files = \
	debian/$(DEBIAN_NAME).sh \
	$(NULL)

DEB_DH_SHLIBDEPS_ARGS_chromium-codecs-ffmpeg := -ldebian/iridium-codecs-ffmpeg/$(LIB_DIR)
DEB_DH_SHLIBDEPS_ARGS_chromium-codecs-ffmpeg-extra := -ldebian/iridium-codecs-ffmpeg-extra/$(LIB_DIR)

# enable compile-time dependency on gnome-keyring
# TODO: do this?

# Build chrome and chrome_sandbox, and chromedriver
BUILD_TARGETS += \
	pdf \
	chrome \
	chromedriver \
	clear_key_cdm \
	$(NULL)

# Needed to preserve the suid and make the sandbox happy
DEB_FIXPERMS_EXCLUDE := chrome-sandbox

ifneq (,$(GOOGLEAPI_APIKEY_$(DISTRIBUTION)))
common_defines += \
	google_api_key="$(GOOGLEAPI_APIKEY_$(DISTRIBUTION))" \
	google_default_client_id="$(GOOGLEAPI_CLIENTID_$(DISTRIBUTION))" \
	google_default_client_secret="$(GOOGLEAPI_CLIENTSECRET_$(DISTRIBUTION))"
else
$(warning Google API info is not set in build variables GOOGLEAPI_APIKEY_$(DISTRIBUTION) GOOGLEAPI_CLIENTID_$(DISTRIBUTION) GOOGLEAPI_CLIENTSECRET_$(DISTRIBUTION))
endif

ifneq (,$(filter 14.04%,$(UBUNTU_DIST)))
ifeq (i386,$(DEB_HOST_ARCH_CPU))
common_defines += use_pic=false
endif
endif

### Official interfaces.

# Debian Policy §4.9
%:
	@set -eux
	dh $@ --sourcedirectory=$(SRC_DIR) --builddirectory=$(SRC_DIR)/out/$(BUILD_TYPE)

# There's a build directory in the source tree that may or may not be interpreted as a target.
# As a result, make will do nothing. As a workaround, define an explicit target.
build:
	@set -eux
	dh $@ --sourcedirectory=$(SRC_DIR) --builddirectory=$(SRC_DIR)/out/$(BUILD_TYPE)

# BZR build-deb rule
get-packaged-orig-source: URL=https://downloads.iridiumbrowser.de/source/iridium-browser-$(ORIG_VERSION).tar.xz
get-packaged-orig-source: SUMURL=https://downloads.iridiumbrowser.de/source/iridium-browser-$(ORIG_VERSION).tar.xz.hashes
get-packaged-orig-source: DEST_FILENAME=iridium-browser_$(ORIG_VERSION).orig.tar.xz
get-packaged-orig-source:
	@set -eux
	wget --continue --progress=dot:mega $(URL)
	diff -u <(wget -O - -q $(SUMURL); echo) <(for crypto in md5 sha1 sha224 sha256 sha384 sha512; do echo -n "$$crypto  "; $${crypto}sum 'iridium-$(ORIG_VERSION).tar.xz'; done)
	mv "iridium-$(ORIG_VERSION).tar.xz" "$(DEST_FILENAME)"

# Debian Policy §4.9
get-orig-source: get-orig-source-dev

get-orig-source-dev:
	@set -eux
	ORIG_VERSION=$(shell wget -qO- "https://omahaproxy.appspot.com/all?os=linux&channel=dev" | grep linux | while IFS=, read col1 col2 col3 col4; do echo $$col3; done) debian/rules get-packaged-orig-source

get-orig-source-beta:
	@set -eux
	ORIG_VERSION=$(shell wget -qO- "https://omahaproxy.appspot.com/all?os=linux&channel=beta" | grep linux | while IFS=, read col1 col2 col3 col4; do echo $$col3; done) debian/rules get-packaged-orig-source



### Below here, rules that support those above required ones. "override_dh_"*
### are of course DH customizations

override_dh_auto_configure: $(SRC_DIR)/gn
	$(SRC_DIR)/gn gen --args='$(common_defines) $(browser_defines) $(ffmpeg_extra_defines)' $(SRC_DIR)/out/$(BUILD_TYPE)
	#$(SRC_DIR)/gn gen --args='$(common_defines) $(ffmpeg_extra_defines)' $(SRC_DIR)/out/$(BUILD_TYPE)-ffmpeg-extra
	#$(SRC_DIR)/gn gen --args='$(common_defines) $(ffmpeg_std_defines)' $(SRC_DIR)/out/$(BUILD_TYPE)-ffmpeg-std

override_dh_auto_build:
	$(NINJA) -v -k 1 -C $(SRC_DIR)/out/$(BUILD_TYPE) $(BUILD_TARGETS)
	#$(NINJA) -v -C $(SRC_DIR)/out/$(BUILD_TYPE)-ffmpeg-extra third_party/ffmpeg
	#$(NINJA) -v -C $(SRC_DIR)/out/$(BUILD_TYPE)-ffmpeg-std third_party/ffmpeg

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_shlibdeps:
