## iridium-browser 2019.04.73

=== debian/changelog ===
iridium-browser (2019.04.73-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19:
    - drop the stuff about forcing gcc-8.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Jul 2019 17:01:55 -0700

iridium-browser (2019.04.73-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Build with clang-6.0.
  * debian/control and rules: build with gcc-8 to avoid FTBFS.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Jun 2019 12:13:00 -0700

iridium-browser (2019.04.73-1iridium0) xenial; urgency=medium

  [ Saikrishna Arcot ]
  * New upstream version 72.0.3590.0
  * New upstream version 72.0.3610.2
  * Fix some of the build errors.
  * Fix more build errors, and add java as a dependency.
  * Fix packaging issue.
  * New upstream version 72.0.3622.0
  * Try to fix VAAPI VDA.
  * Fix build.
  * Fix build (again).
  * New upstream version 72.0.3626.14
  * New upstream version 73.0.3639.1
  * Revert a Chromium commit that is causing compile failures on everything besides Clang 7.0.
  * Attempt at another fix for the issue.
  * Attempt at another fix for the issue.
  * Attempt a build for Wayland.
  * New upstream version 73.0.3642.0
  * Fix build for Xenial.
  * Try to fix build.
  * Try to fix build again.
  * New upstream version 73.0.3664.3
  * Try to fix VAAPI decoding.
  * New upstream version 73.0.3673.0
  * Fix GN build.
  * New upstream version 73.0.3679.0
  * New upstream version 73.0.3683.10
  * Fix VAAPI build.
  * Fix build with older GCC.
  * Fix build with older GCC.
  * Fix build.

  [ Simon Eisenmann ]
  * Imported Upstream version 2019.04.73
  * Refresh patches to Iridium 2019.04.73

 -- Simon Eisenmann <simon@longsleep.org>  Sat, 04 May 2019 16:30:05 +0200

chromium-browser (73.0.3683.10-0ubuntu1~ppa5~19.04.1) disco; urgency=low

  * Fix build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 11 Feb 2019 12:12:38 -0500

chromium-browser (73.0.3683.10-0ubuntu1~ppa4~19.04.1) disco; urgency=low

  * Fix build with older GCC.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 08 Feb 2019 02:18:36 -0500

chromium-browser (73.0.3683.10-0ubuntu1~ppa3~19.04.1) disco; urgency=low

  * Fix build with older GCC.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Tue, 05 Feb 2019 11:35:49 -0500

chromium-browser (73.0.3683.10-0ubuntu1~ppa2~19.04.1) disco; urgency=low

  * Fix VAAPI build.
  * Fix build with older gcc.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 01 Feb 2019 12:11:49 -0500

chromium-browser (73.0.3683.10-0ubuntu1~ppa1~19.04.1) disco; urgency=low

  * New upstream version 73.0.3683.10
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Thu, 31 Jan 2019 18:25:00 -0500

chromium-browser (73.0.3679.0-0ubuntu1~ppa1~19.04.1) disco; urgency=low

  * New upstream version 73.0.3679.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 25 Jan 2019 20:52:24 -0500

chromium-browser (73.0.3673.0-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Fix GN build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 18 Jan 2019 01:55:58 -0500

chromium-browser (73.0.3673.0-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 73.0.3673.0
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 18 Jan 2019 00:30:15 -0500

chromium-browser (73.0.3664.3-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Try to fix VAAPI decoding.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 14 Jan 2019 20:58:14 -0500

chromium-browser (73.0.3664.3-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 73.0.3664.3
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 09 Jan 2019 18:10:14 -0500

chromium-browser (73.0.3642.0-0ubuntu1~ppa4~18.10.1) cosmic; urgency=low

  * Try to fix build again.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 02 Jan 2019 19:17:06 -0500

chromium-browser (73.0.3642.0-0ubuntu1~ppa3~18.10.1) cosmic; urgency=low

  * Try to fix build.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Tue, 01 Jan 2019 20:37:02 -0500

chromium-browser (73.0.3642.0-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Fix build for Xenial.
  * Try to get VAAPI in Wayland working.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 31 Dec 2018 22:43:27 -0500

chromium-browser (73.0.3642.0-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 73.0.3642.0
  * Updated patches.
  * Disable wayland/ozone.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Mon, 31 Dec 2018 12:46:28 -0500

chromium-browser (73.0.3639.1-0ubuntu1~ppa5~18.10.1) cosmic; urgency=low

  * Attempt a build for Wayland.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sun, 30 Dec 2018 17:59:45 -0500

chromium-browser (73.0.3639.1-0ubuntu1~ppa4~18.10.1) cosmic; urgency=low

  * Attempt at another fix for the issue.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 22 Dec 2018 11:22:18 -0500

chromium-browser (73.0.3639.1-0ubuntu1~ppa3~18.10.1) cosmic; urgency=low

  * Attempt at another fix for the issue.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Sat, 22 Dec 2018 00:07:29 -0500

chromium-browser (73.0.3639.1-0ubuntu1~ppa2~18.10.1) cosmic; urgency=low

  * Revert a Chromium commit that is causing compile failures on
    everything besides Clang 7.0.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Thu, 20 Dec 2018 02:08:46 -0500

chromium-browser (73.0.3639.1-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 73.0.3639.1
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Tue, 18 Dec 2018 01:33:52 -0500

chromium-browser (72.0.3626.14-0ubuntu1~ppa1~18.10.1) cosmic; urgency=low

  * New upstream version 72.0.3626.14
  * Updated patches.

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Fri, 14 Dec 2018 11:39:49 -0500

chromium-browser (72.0.3622.0-0ubuntu1~ppa4~18.10.1) cosmic; urgency=low

  * Fix build (again).

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Tue, 04 Dec 2018 11:19:35 -0500


