=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Iridium Linux Team <iridium-linux@iridiumbrowser.de>
-# XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+#XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Homepage: https://iridiumbrowser.de/
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
+# have to use backported gcc-8 on Stretch to avoid FTBFS
+#        gcc-8, cpp-8, g++-8,
 		dh-buildinfo,
 		pkg-config,
 		ninja-build (>= 1.7.2),
-		clang (>= 1:4.0) | clang-4.0,
+		clang-6.0,
 		lsb-release,
 		python,
 		bison,
 		gperf,
-		libsrtp0-dev,
+#		libsrtp0-dev,
 		libprotobuf-dev,
 		protobuf-compiler,
 		libspeechd-dev,
@@ -32,7 +34,7 @@
 		libgtk-3-dev,
 		libglib2.0-dev,
 		libudev-dev,
-		libgnome-keyring-dev,
+#		libgnome-keyring-dev,
 		libgconf2-dev,
 		libcap-dev,
 		libdrm-dev,
@@ -47,11 +49,12 @@
 		libxkbcommon-dev,
 		libegl1-mesa-dev,
 		libva-dev,
-		chrpath
+		chrpath,
+		default-jre-headless
 Standards-Version: 3.9.5
 
 Package: iridium-browser
-Architecture: armhf arm64 i386 amd64
+Architecture: amd64
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	xdg-utils
@@ -70,7 +73,7 @@
  This package contains the Iridium browser
 
 Package: iridium-chromedriver
-Architecture: armhf arm64 i386 amd64
+Architecture: amd64
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}, iridium-browser (= ${binary:Version})
 Description: ChromeDriver
