=== debian/rules ===
--- 
+++ 
@@ -45,14 +45,18 @@
 # enable verbose build messages
 export DH_VERBOSE=1
 
+# use gcc-8 on Stretch base
+# export CC=gcc-8
+# export CXX=g++-8
+# export CPP=cpp-8
+# export LD=gcc-8
+
 common_defines += \
-				enable_google_now=false \
 				enable_hangout_services_extension=true \
 				enable_mdns=true \
 				enable_nacl=false \
 				enable_vr=false \
 				enable_wayland_server=false \
-				enable_webrtc=true \
 				enable_widevine=true \
 				fieldtrial_testing_like_official_build=true \
 				is_component_ffmpeg=true \
@@ -60,7 +64,7 @@
 				is_desktop_linux=true \
 				linux_use_bundled_binutils=false \
 				remove_webcore_debug_symbols=true \
-				symbol_level=0 \
+				symbol_level=2 \
 				treat_warnings_as_errors=false \
 				use_allocator="none" \
 				use_alsa=true \
@@ -78,7 +82,6 @@
 				use_sysroot=false \
 				use_system_harfbuzz=false \
 				use_system_libjpeg=false \
-				use_vaapi=true \
 				rtc_enable_protobuf=false \
 				is_clang=true \
 				clang_base_path="/usr" \
@@ -89,7 +92,11 @@
 				fatal_linker_warnings=false \
 				target_os="linux" \
 				current_os="linux" \
-				optimize_webui=false
+				optimize_webui=false \
+				use_jumbo_build=true \
+				jumbo_file_merge_limit=30 \
+				force_local_build_id=true \
+				use_gnome_keyring=false
 
 # FFmpeg-mt
 # Ignore the version built as part of chromium. Build it separately twice, once with
@@ -129,7 +136,9 @@
 endif
 
 ifeq (1,$(WANT_OZONE))
-common_defines += use_ozone=true use_xkbcommon=true
+common_defines += use_ozone=true use_xkbcommon=true use_system_minigbm=true use_v4lplugin=true use_v4l2_codec=true use_linux_v4l2_only=true
+else
+common_defines += use_vaapi=true
 endif
 
 subst_files = \
@@ -213,11 +222,3 @@
 	#$(SRC_DIR)/gn gen --args='$(common_defines) $(ffmpeg_std_defines)' $(SRC_DIR)/out/$(BUILD_TYPE)-ffmpeg-std
 
 override_dh_auto_build:
-	$(NINJA) -v -k 1 -C $(SRC_DIR)/out/$(BUILD_TYPE) $(BUILD_TARGETS)
-	#$(NINJA) -v -C $(SRC_DIR)/out/$(BUILD_TYPE)-ffmpeg-extra third_party/ffmpeg
-	#$(NINJA) -v -C $(SRC_DIR)/out/$(BUILD_TYPE)-ffmpeg-std third_party/ffmpeg
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
-override_dh_shlibdeps:
